Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.TaskStatusType

    java.lang.Object
      java.lang.Enum<Types.TaskStatusType>
          com.xensource.xenapi.Types.TaskStatusType

All Implemented Interfaces:
  Serializable, Comparable<Types.TaskStatusType>

Enclosing class:
  Types

    public static enum Types.TaskStatusType

extends Enum<Types.TaskStatusType>

Enum Constant Summary
`CANCELLED` task has been cancelled
`CANCELLING` task is being cancelled
`FAILURE` task has failed
`PENDING` task is in progress
`SUCCESS` task was completed successfully
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.TaskStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.TaskStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.TaskStatusType UNRECOGNIZED

  The value does not belong to this enumeration

### PENDING

    public static final Types.TaskStatusType PENDING

  task is in progress

### SUCCESS

    public static final Types.TaskStatusType SUCCESS

  task was completed successfully

### FAILURE

    public static final Types.TaskStatusType FAILURE

  task has failed

### CANCELLING

    public static final Types.TaskStatusType CANCELLING

  task is being cancelled

### CANCELLED

    public static final Types.TaskStatusType CANCELLED

  task has been cancelled

Method Detail

### values

    public static Types.TaskStatusType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.TaskStatusType c : Types.TaskStatusType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.TaskStatusType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.TaskStatusType>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD